﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Collections;

namespace Test3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            LoadStyleIslFile(ucIslChooser.Text);
        }

        private ArrayList GetStyleLibraries()
        {
            ArrayList al = new ArrayList();

            //**********************************************************************************
            //make sure the directory we are looking for exists
            //**********************************************************************************
            if (Directory.Exists(Application.StartupPath + "\\StylesLibrary"))
            {
                //**********************************************************************************
                //loop through the directory and search for ISL files..
                //**********************************************************************************
                DirectoryInfo di = new DirectoryInfo(Application.StartupPath + "\\StylesLibrary");
                FileInfo[] rgFiles = di.GetFiles("*.isl");
                foreach (FileInfo fi in rgFiles)
                {
                    al.Add(fi.Name.Split('.')[0]);
                }
            }
            return al;
        }


        private void LoadStyleIslFile(string filename)
        {
            //************************************************************
            //Load the *filename* appstyle from the StylesLibrary directory
            //************************************************************         
            string fullpath = Application.StartupPath + "\\StylesLibrary\\" + filename + ".isl";
            // Get a FileInfo reference to the currently selected StyleLibrary.
            if (ucIslChooser.IsItemInList(filename) && File.Exists(fullpath))
            {
                FileInfo selectedStyleLibrary = new FileInfo(fullpath);

                // Update the StyleLibraryFileWatcher status with the name of the currently selected file.
                // Note: this will be null if the currently selected StyleLibrary is '<None>'.
                //this.StyleLibraryWatcher.UpdateStatus(selectedStyleLibrary);

                // Apply the StyleLibrary.
                Infragistics.Win.AppStyling.StyleManager.Load(fullpath, true);

                // When the Style Library in memory changes, the AppStylist Run-time needs to re-load 
                // the Library information from memory. 
                this.appStylistRuntime1.LoadFromStyleManager();

            }
        }


        private void Form1_Load(object sender, EventArgs e)
        {
            //************************************************************
            //Populate the styles drop down        
            //************************************************************    
            ucIslChooser.DataSource = GetStyleLibraries();
        }
    }
}
